Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class SetPropertyCommand

    java.lang.Object
      ru.biosoft.access.support.SetPropertyCommand

All Implemented Interfaces:
  TagCommand

Direct Known Subclasses:
  SetArrayPropertyCommand

public class SetPropertyCommand
extends java.lang.Object
implements TagCommand

To do:
  comments

Field Summary
`protected java.lang.Object[]` | `args`
`static int` | `DEFAULT_IDENT`
`protected java.lang.String` | `delimiter`
`protected boolean` | `duplicateTags`
`static java.lang.String` | `endl`
`protected int` | `indent`
`protected static org.apache.log4j.Category` | `log`
`protected java.lang.reflect.Method` | `readMethod`
`protected TagEntryTransformer` | `transformer`
`protected java.lang.Class` | `type`
`protected java.lang.StringBuffer` | `value`
`protected java.lang.reflect.Method` | `writeMethod`

Constructor Summary
`SetPropertyCommand(java.lang.String tag, java.lang.Class bean, java.lang.Class type, java.lang.String readMethod, java.lang.String writeMethod, TagEntryTransformer transformer)`
`SetPropertyCommand(java.lang.String tag, java.lang.Class bean, java.lang.Class type, java.lang.String readMethod, java.lang.String writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetPropertyCommand(java.lang.String tag, java.lang.Class type, java.lang.reflect.Method readMethod, java.lang.reflect.Method writeMethod, TagEntryTransformer transformer)`
`SetPropertyCommand(java.lang.String tag, java.lang.Class type, java.lang.reflect.Method readMethod, java.lang.reflect.Method writeMethod, TagEntryTransformer transformer, int indent, boolean duplicateTags)`
`SetPropertyCommand(java.lang.String tag, java.beans.PropertyDescriptor descriptor, TagEntryTransformer transformer)`
`SetPropertyCommand(java.lang.String tag, java.beans.PropertyDescriptor descriptor, TagEntryTransformer transformer, int indent, boolean duplicateTags)`

Method Summary
`void` | `addValue(java.lang.String appendValue)`
`void` | `complete(java.lang.String tag)`
`int` | `getIndent()`
`java.lang.String` | `getTag()`
`java.lang.String` | `getTaggedValue()`
`java.lang.String` | `getTaggedValue(java.lang.String value)`
`void` | `setIndent(int indent)`
`void` | `start(java.lang.String tag)`
`protected java.lang.Object` | `stringToValue(java.lang.String str)`
`protected java.lang.String` | `valueToString(java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_IDENT

    public static final int DEFAULT_IDENT

See Also:
  Constant Field Values

### log

    protected static org.apache.log4j.Category log

### endl

    public static java.lang.String endl

### type

    protected java.lang.Class type

### readMethod

    protected java.lang.reflect.Method readMethod

### writeMethod

    protected java.lang.reflect.Method writeMethod

### transformer

    protected TagEntryTransformer transformer

### duplicateTags

    protected boolean duplicateTags

### value

    protected java.lang.StringBuffer value

### delimiter

    protected java.lang.String delimiter

### args

    protected java.lang.Object[] args

### indent

    protected int indent

Constructor Detail

### SetPropertyCommand

    public SetPropertyCommand(java.lang.String tag,
                              java.lang.Class type,
                              java.lang.reflect.Method readMethod,
                              java.lang.reflect.Method writeMethod,
                              TagEntryTransformer transformer)

### SetPropertyCommand

    public SetPropertyCommand(java.lang.String tag,
                              java.lang.Class type,
                              java.lang.reflect.Method readMethod,
                              java.lang.reflect.Method writeMethod,
                              TagEntryTransformer transformer,
                              int indent,
                              boolean duplicateTags)

### SetPropertyCommand

    public SetPropertyCommand(java.lang.String tag,
                              java.beans.PropertyDescriptor descriptor,
                              TagEntryTransformer transformer)

### SetPropertyCommand

    public SetPropertyCommand(java.lang.String tag,
                              java.beans.PropertyDescriptor descriptor,
                              TagEntryTransformer transformer,
                              int indent,
                              boolean duplicateTags)

### SetPropertyCommand

    public SetPropertyCommand(java.lang.String tag,
                              java.lang.Class bean,
                              java.lang.Class type,
                              java.lang.String readMethod,
                              java.lang.String writeMethod,
                              TagEntryTransformer transformer)

### SetPropertyCommand

    public SetPropertyCommand(java.lang.String tag,
                              java.lang.Class bean,
                              java.lang.Class type,
                              java.lang.String readMethod,
                              java.lang.String writeMethod,
                              TagEntryTransformer transformer,
                              int indent,
                              boolean duplicateTags)

Method Detail

### getIndent

    public int getIndent()

### setIndent

    public void setIndent(int indent)

### start

    public void start(java.lang.String tag)

  Specified by:
    `start` in interface `TagCommand`

### addValue

    public void addValue(java.lang.String appendValue)

  Specified by:
    `addValue` in interface `TagCommand`

### complete

    public void complete(java.lang.String tag)

  Specified by:
    `complete` in interface `TagCommand`

### getTag

    public java.lang.String getTag()

  Specified by:
    `getTag` in interface `TagCommand`

### getTaggedValue

    public java.lang.String getTaggedValue()

  Specified by:
    `getTaggedValue` in interface `TagCommand`

### getTaggedValue

    public java.lang.String getTaggedValue(java.lang.String value)

  Specified by:
    `getTaggedValue` in interface `TagCommand`

### stringToValue

    protected java.lang.Object stringToValue(java.lang.String str)
                                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### valueToString

    protected java.lang.String valueToString(java.lang.Object value)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.